## org.apache.batik.util.gui.resource
Interface ActionMap

All Known Implementing Classes:
  CSSMediaPanel, CSSMediaPanel.AddMediumDialog, CSSMediaPanel.Dialog, DOMViewer, FindDialog, JErrorPane, JSVGViewerFrame, LanguageDialog, LanguageDialog.Panel, MemoryMonitor, URIChooser, UserStyleDialog

public interface ActionMap

This interface represents an object which maps actions to strings

Method Summary
`javax.swing.Action` `getAction(java.lang.String key)` Returns the action associated with the given string or null on error

Method Detail

### getAction

    public javax.swing.Action getAction(java.lang.String key)
                                 throws MissingListenerException

  Returns the action associated with the given string or null on error

  Parameters:
    `key` - the key mapped with the action to get
  Throws:
    `MissingListenerException` - if the action is not found

Copyright © 2004 Apache Software Foundation. All Rights Reserved.